Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Exon

All Superinterfaces:
  Accessioned, java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface Exon
extends Accessioned, Feature

Exon.

Method Summary
`void` | `addTranscript(Transcript t)`
`double` | `getConfidence()`
`int` | `getEndPhase()`
`Gene` | `getGene()`
`long` | `getGeneInternalID()` Returns gene internal id.
`int` | `getPhase()`
`java.util.List` | `getSupportingFeatures()` Supporting features used to build this exon.
`long[]` | `getTranscriptInternalIDs()`
`java.util.List` | `getTranscripts()`
`void` | `setConfidence(double confidence)`
`void` | `setEndPhase(int phase)`
`void` | `setGene(Gene gene)` Sets gene and geneInternalID.
`void` | `setGeneInternalID(long geneInternalID)` Sets gene internal id, also sets the gene.internalID if gene is available.
`void` | `setLocation(Location location)`
`void` | `setPhase(int phase)`
`void` | `setSequence(Sequence sequence)`
`void` | `setTranscripts(java.util.List transcripts)` Sets transcripts and transcriptInternalIDs.

Methods inherited from interface org.ensembl.datamodel.Accessioned
`getAccessionID, getCreatedDate, getModifiedDate, getVersion, setAccessionID, setCreatedDate, setModifiedDate, setVersion`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getConfidence

    public double getConfidence()

### setConfidence

    public void setConfidence(double confidence)

### getGene

    public Gene getGene()

### setGene

    public void setGene(Gene gene)

  Sets gene and geneInternalID.

### getTranscripts

    public java.util.List getTranscripts()

### setTranscripts

    public void setTranscripts(java.util.List transcripts)

  Sets transcripts and transcriptInternalIDs.

### addTranscript

    public void addTranscript(Transcript t)

### getGeneInternalID

    public long getGeneInternalID()

  Returns gene internal id. This is the same as gene.internalID if gene is available.

  Returns:
    internalID of the gene.

### setGeneInternalID

    public void setGeneInternalID(long geneInternalID)

  Sets gene internal id, also sets the gene.internalID if gene is available.

### getTranscriptInternalIDs

    public long[] getTranscriptInternalIDs()

### setPhase

    public void setPhase(int phase)

### getSupportingFeatures

    public java.util.List getSupportingFeatures()

  Supporting features used to build this exon. Supporting features are a mixture of DnaDnaAlignFeatures and DnaProteinAlignFeatures.

  Returns:
    zero or more supporting features.
  See Also:
    `DnaDnaAlignFeature`, `DnaProteinAlignment`

### getPhase

    public int getPhase()

### setEndPhase

    public void setEndPhase(int phase)

### getEndPhase

    public int getEndPhase()

### setLocation

    public void setLocation(Location location)

  Specified by:
    `setLocation` in interface `Locatable`

### setSequence

    public void setSequence(Sequence sequence)

  Specified by:
    `setSequence` in interface `Locatable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD